Package org.zkoss.bind.impl

## Class BinderUtil

- java.lang.Object
- - org.zkoss.bind.impl.BinderUtil

-     public class BinderUtil
      extends java.lang.Object

  Author:
    dennis

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BinderUtil.UtilContext` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BinderUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Binder` | `getBinder​(Component comp)` |
    `static Binder` | `getBinder​(Component comp, boolean recurse)` |
    `static BinderUtil.UtilContext` | `getContext()` |
    `static boolean` | `hasContext()` |
    `static boolean` | `isHandling​(Component comp)` |
    `static void` | `markHandling​(Component comp, Binder binder)` |
    `static void` | `popContext()` |
    `static BinderUtil.UtilContext` | `pushContext()` |
    `static void` | `unmarkHandling​(Component comp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinderUtil

          public BinderUtil()

  - ### Method Detail

    - #### markHandling

          public static void markHandling​(Component comp,
                                          Binder binder)

    - #### unmarkHandling

          public static void unmarkHandling​(Component comp)

    - #### isHandling

          public static boolean isHandling​(Component comp)

    - #### getBinder

          public static Binder getBinder​(Component comp)

    - #### getBinder

          public static Binder getBinder​(Component comp,
                                         boolean recurse)

    - #### pushContext

          public static BinderUtil.UtilContext pushContext()

    - #### hasContext

          public static boolean hasContext()

    - #### getContext

          public static BinderUtil.UtilContext getContext()

    - #### popContext

          public static void popContext()